<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->boolean('package_active');
            $table->boolean('product_active');
            $table->boolean('top_up_active');
            $table->boolean('blog_active');
            $table->string('currency')->default('USD');
            $table->string('en_website_name')->nullable();
            $table->string('fa_website_name')->nullable();
            $table->string('phone')->nullable();
            $table->string('whatsapp_link')->nullable();
            $table->string('facebook_link')->nullable();
            $table->string('instagram_link')->nullable();
            $table->string('twitter_link')->nullable();
            $table->string('linkedin_link')->nullable();
            $table->string('youtube_link')->nullable();
            $table->string('tiktok_link')->nullable();
            $table->string('sys_email');
            $table->text('en_address')->nullable();
            $table->text('fa_address')->nullable();
            $table->text('map_embed_link')->nullable();
            $table->text('en_working_hours')->nullable();
            $table->text('fa_working_hours')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
